<template>
  <TabCarousel :tabsTitle="tabsTitle" :aspectRatio="0.59">
    <Slide v-for="tab in tabs" :key="tab.id" class="tab-slide">
      <template v-slot:content>
        <div class="web-adaptive__container">
          <TabletMockup class="web-adaptive__tablet">
            <template #content>
              <img :src="tab.images.tablet" :alt="tab.title" class="image" />
            </template>
            <template #gradient>
              <span class="gradient"></span>
            </template>
          </TabletMockup>
          <MobileMockup class="web-adaptive__mobile">
            <template #content>
              <img :src="tab.images.mobile" :alt="tab.title" />
            </template>
            <template #gradient>
              <span class="gradients-container"></span>
            </template>
          </MobileMockup>
        </div>
      </template>
    </Slide>
  </TabCarousel>
</template>
<script>
import { computed } from 'vue'
import { VueperSlide } from 'vueperslides'
import TabCarousel from '@/components/shared/TabCarousel'
import TabletMockup from '@/components/shared/TabletMockup'
import MobileMockup from '@/components/shared/MobileMockup'

export default {
  name: 'CaseWebAdaptive',
  props: {
    tabs: {
      type: Array,
      required: true,

      //  add validator
      validator() {
        return true
      }
    }
  },
  components: {
    Slide: VueperSlide,
    TabCarousel,
    TabletMockup,
    MobileMockup
  },
  setup(props) {
    const tabsTitle = computed(() => props.tabs.map(t => t.title))
    return { tabsTitle }
  }
}
</script>
